/*
 ** 自定义取色板
 ** create by ChenLong on 2022/8/23
 ** 功能路径：src\pages\product\ReportsManage\Components\CustomerColorPicker.js
 ** 菜单参数列表：*变量名*(变量说明，数据类型，是否必填，取值范围)
 **/

import React from 'react';
import style from './CustomerColorPicker.less';
import { tagColors, tagBackgroundColors } from '../../utils/constant';
import classnames from 'classnames';
const CustomerColorPicker = (props) => {
  return (
    <div className={style.colorPickerWrapper}>
      {tagColors.map((color, index) => (
        <div
          className={classnames(style.colorCard)}
          onClick={() => props.clickColorPicker(tagBackgroundColors[index])}
          style={{
            color: color,
            backgroundColor: tagBackgroundColors[index],
          }}
        >
          A
        </div>
      ))}
    </div>
  );
};
export default CustomerColorPicker;
