---
title: EC_HistoryView - 历史曲线
nav:
title: 业务组件
path: /extend-components
group:
path: /
---

# HistoryView 历史数据查看

基础业务组件

- 曲线模式
  - 数据强制自动抽稀
- 表格模式
  - 默认开启抽稀模式，可选择抽稀

## 何时使用

- 以图表或表格形式，查看历史数据时。

## 单图表

<code src="./demos/index.js"></code>

## 单图表-状态

<code src="./demos/indexForStatus.js"></code>

## 单图表-频率

<code src="./demos/indexForFrequency.js"></code>

[//]: # '## 移动端'
[//]: # '<code src="./demos/mobile.js"></code>'

## 多图表

[//]: # (<code src="./demos/GridDemo.js"></code>)

## API

| 参数 | 说明 | 类型 | 默认值 | 可选值 |
| --- | --- | --- | --- | --- |
| grid | 是否为多图表模式 | boolean | false | - |
| title | 标题 | string | 指标曲线 | - |
| defaultModel | 默认显示模式 | string | `curve` | `curve`图表模式/`table`表格模式 |
| showModels | 显示模式 | array | `['curve', 'table']` | `curve`/`table` |
| defaultChecked | 默认选中自定义时间 key | string | `roundClock` | `oneHour`/`fourHour`/`twelveHours`/`roundClock`/`yesterday` |
| tableProps | 表格其他 props | object | { } | - |
| deviceParams | 设备参数信息 | array | - | - |
| needMarkLine | 是否添加报警标识线 | boolean | true |  |

### deviceParams

```javascript
[
    {
        deviceCode: 'EGBF00000146', // 设备编码
        sensors: '进水压力,出水瞬时流量',  // 设备查询指标
        deviceCode: '二供泵房', // 设备类型
    },
    ...
]
```

移动端参数

```javascript
    {
    // date
    date:{
        dateFrom: '2022-02-02 00:00:00',
        dateTo: '2022-02-02 23:59:59',
    }
    // deviceParams
    deviceParams:[{
      deviceCode: 'EGBF00000146', // 设备编码
      sensors: '进水压力,出水瞬时流量',  // 设备查询指标
      deviceCode: '二供泵房', // 设备类型
    },...],
    // chartType
  chartType: 'lineChart' || 'boxChart'
}
```
